Debian Bug report logs - #635046
finish cleanup of local packages restructuring

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Martin Pitt <mpitt@debian.org>

Date: Fri, 22 Jul 2011 05:00:01 UTC

Severity: normal

Tags: experimental

Found in version live-build/3.0~a25-1

Fixed in version live-build/3.0~a30-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#635046; Package live-build. (Fri, 22 Jul 2011 05:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 22 Jul 2011 05:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Debian BTS Submit <submit@bugs.debian.org>
Subject: live-build: Does not install config/chroot_packages/*.deb any more
Date: Fri, 22 Jul 2011 06:55:55 +0200
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0~a25-1

Hello Daniel,

the experimental version merged the global/local package hooks and
config places into config/chroot_packages and corresponding scripts.

Since then, config/chroot_packages/*.deb does not actually get
installed any more.

lb_chroot_archives is correctly copying them to chroot/root/packages/
and creates the indexes, etc., but lb_chroot_install-packages only
installs the list in chroot/root/chroot_packages. The missing bit is
what lb_chroot_local-packages used to do, but that's not being called
any more in the experimental version.

A quick'n'dirty workaround is to add it back:

--- a/scripts/build/lb_chroot
+++ b/scripts/build/lb_chroot
@@ -50,6 +50,7 @@ lb chroot_resolv install ${*}
 lb chroot_hostname install ${*}
 lb chroot_apt install ${*}
 lb chroot_archives install ${*}
+lb chroot_local-packages ${*}

 # Customizing chroot
 lb chroot_linux-image ${*}

But that's of course not a proper patch for trunk, as (IIUC) trunk
wants to get rid of the _local stuff.

So I wonder where the creation of the chroot_packages list should
happen now? It seems to me as if it would be appropriate to do right
in lb_chroot_archives? It could create chroot_packages right after it
copies the debs to packages/ and creates the indexes. If it's
necessary/preferable to have as a separate step, should it be renamed
to lb_chroot_queue_packages or something like that?

Thanks,

Martin
-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#635046; Package live-build. (Fri, 22 Jul 2011 09:18:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 22 Jul 2011 09:18:33 GMT) Full text and rfc822 format available.

Message #10 received at 635046@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Martin Pitt <mpitt@debian.org>
Cc: 635046@bugs.debian.org
Subject: Re: Bug#635046: live-build: Does not install config/chroot_packages/*.deb any more
Date: Fri, 22 Jul 2011 11:16:35 +0200
retitle 635046 finish cleanup of local packages restructuring
tag 635046 pending
tag 635046 experimental
thanks

On 07/22/2011 06:55 AM, Martin Pitt wrote:
> The missing bit is what lb_chroot_local-packages used to do, but that's not being called
> any more in the experimental version.

like discussed yesterday on irc, i've cleaned up these things but due to
other distractions on debconf not yet pushed. will do somewhen today.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Changed Bug title to 'finish cleanup of local packages restructuring' from 'live-build: Does not install config/chroot_packages/*.deb any more' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 22 Jul 2011 09:19:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 22 Jul 2011 09:19:08 GMT) Full text and rfc822 format available.

Added tag(s) experimental. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 22 Jul 2011 09:19:09 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Wed, 24 Aug 2011 17:51:09 GMT) Full text and rfc822 format available.

Notification sent to Martin Pitt <mpitt@debian.org>:
Bug acknowledged by developer. (Wed, 24 Aug 2011 17:51:09 GMT) Full text and rfc822 format available.

Message #21 received at 635046-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 635046-close@bugs.debian.org
Subject: Bug#635046: fixed in live-build 3.0~a30-1
Date: Wed, 24 Aug 2011 17:48:04 +0000
Source: live-build
Source-Version: 3.0~a30-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a30-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a30-1_all.deb
live-build-cron_3.0~a30-1_all.deb
  to main/l/live-build/live-build-cron_3.0~a30-1_all.deb
live-build_3.0~a30-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a30-1.debian.tar.gz
live-build_3.0~a30-1.dsc
  to main/l/live-build/live-build_3.0~a30-1.dsc
live-build_3.0~a30-1_all.deb
  to main/l/live-build/live-build_3.0~a30-1_all.deb
live-build_3.0~a30.orig.tar.gz
  to main/l/live-build/live-build_3.0~a30.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 635046@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 24 Aug 2011 19:37:17 +0200
Source: live-build
Binary: live-build live-build-cgi live-build-cron
Architecture: source all
Version: 3.0~a30-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
 live-build-cron - Debian Live - System Build Scripts (cron autobuilder)
Closes: 635046 637939
Changes: 
 live-build (3.0~a30-1) experimental; urgency=low
 .
   [ Daniel Baumann ]
   * Enabling volatile suite for progress itself in progress mode.
   * Correcting wrong variables in volatile handling for derivatives.
 .
   [ Ben Armstrong ]
   * Removing old syslinux switches from lb_config manpage (Closes:
     #637939).
 .
   [ Daniel Baumann ]
   * Unifying lb_chroot_packagelists and lb_chroot_local-packagelists.
   * Merging in last bit of lb_chroot_local-packages into
     lb_chroot_archives (Closes: #635046).
   * Using lightdm instead of gdm3 in xfce package for wheezy and newer.
   * Moving removal of openssh-server host keys from chroot_hacks to a
     hook, that way it can be easily skipped if desired.
   * Moving removal of udev persistent rules from chroot_hacks to a hook,
     that way it can be easily skipped if desired.
Checksums-Sha1: 
 b1f67adbfe9331d1a9625f81c02f90d879ac3c8c 1299 live-build_3.0~a30-1.dsc
 986bbb406587b36201a5466cff3404f0749f8341 1824771 live-build_3.0~a30.orig.tar.gz
 d6de6cd56524f8e094bd2a19d5747ffbd319e9fd 47970 live-build_3.0~a30-1.debian.tar.gz
 62fce92a4c1aac44e63f82eb201417f4015af2ea 1132430 live-build_3.0~a30-1_all.deb
 9595d821e25fa8bfeb5c278e0b6d60523e83bd2c 61418 live-build-cgi_3.0~a30-1_all.deb
 0d7bfac6fb1482fabca4b8635576a61a6f6efe29 61442 live-build-cron_3.0~a30-1_all.deb
Checksums-Sha256: 
 0000e1e1a028b83ad89bd427d951e92c86b48090df1eb506129b920cf68a5c23 1299 live-build_3.0~a30-1.dsc
 7a64efb9b0b20b203d7ae1f85a3184d0a72207dcec16c5fd20e7fc547746c45c 1824771 live-build_3.0~a30.orig.tar.gz
 c5d846f4844dcca2240ea1f615264fae3ff35fbe897d697e6a6599693f2a508a 47970 live-build_3.0~a30-1.debian.tar.gz
 d03fb59b645dfacc3df3ce819803198f3a8bfd4fb4c4d20f78197afcf7c003b8 1132430 live-build_3.0~a30-1_all.deb
 3a80bb019de0b9ee964c661833bdf0f4322633f3ffdc16ec06d5d94536528fba 61418 live-build-cgi_3.0~a30-1_all.deb
 ade0b032505758db9d73561f7611f5eea16215a0d1ee2fc82c3a95cf17ca7956 61442 live-build-cron_3.0~a30-1_all.deb
Files: 
 8acfedb14a8ced00e021d4e8199a9b14 1299 misc optional live-build_3.0~a30-1.dsc
 821937c98db2277eeb16a924c4e82a44 1824771 misc optional live-build_3.0~a30.orig.tar.gz
 a03d06eca8d8be0264ba28467162d6bd 47970 misc optional live-build_3.0~a30-1.debian.tar.gz
 8a17addca42a8c925d3db13bda0f8240 1132430 misc optional live-build_3.0~a30-1_all.deb
 fd9176c431acb88bf933c3c0477a7382 61418 misc optional live-build-cgi_3.0~a30-1_all.deb
 c42ebce58c338a340f9721f6f40f87f9 61442 misc optional live-build-cron_3.0~a30-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk5VN68ACgkQ+C5cwEsrK54lGQCfRbROzqlfVWl23aNL00mcAp/j
mg8An2O5DTeaW1P6FK6RpXzDR5mQ4deS
=zZtx
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 22 Sep 2011 07:35:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:25:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.